Bug 28610 - Can't use Intel eepr/1000(Driver:e1000-3.0.1) to mount by NFS
Can't use Intel eepr/1000(Driver:e1000-3.0.1) to mount by NFS
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-21 10:07 EST by Bill Huang
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-27 19:44:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-02-21 10:07:21 EST
(Originally reported by Keio University)

Intel eepro/1000 is using e1000.o(Version3.0.1) driver.

Cant mount by NFS using e1000-3.0.1driver.

Result of shomount, mount command:
    --------
    e1000: Receive packet consumed multiple buffers
    --------
        NFS server(hfc-17)
                RedHat 7.0.1J
                kernel-2.4.0-1up
                e1000-2.6.6
                nfs-utils-0.2-2
        NFS client(hfs-25)
                RedHat 7.0.90
                kernel-2.4.0-0.99.11
                e1000-3.0.1
                mount-2-10r-2
Comment 1 Bill Huang 2001-02-21 10:39:17 EST
a part of /var/log/messages

Feb 19 17:50:00 hfs-25 kernel: Unable to handle kernel paging request at virtual
 address f8a99a64
Feb 19 17:50:00 hfs-25 kernel:  printing eip:
Feb 19 17:50:00 hfs-25 kernel: c019d94b
Feb 19 17:50:00 hfs-25 kernel: *pde = 37a4f063
Feb 19 17:50:00 hfs-25 kernel: *pte = 00000000
Feb 19 17:50:00 hfs-25 kernel: Oops: 0002
Feb 19 17:50:00 hfs-25 kernel: CPU:    0
Feb 19 17:50:00 hfs-25 kernel: EIP:    0010:[pci_unregister_driver+11/80]
Feb 19 17:50:00 hfs-25 kernel: EIP:    0010:[<c019d94b>]
Feb 19 17:50:00 hfs-25 kernel: EFLAGS: 00010246
Feb 19 17:50:00 hfs-25 kernel: eax: f8a99a60   ebx: f7682a80   ecx: 00000017   e
dx: f8a69060
Feb 19 17:50:00 hfs-25 kernel: esi: f8a8a340   edi: 00000001   ebp: bfffed90   e
sp: c71eff74
Feb 19 17:50:00 hfs-25 kernel: ds: 0018   es: 0018   ss: 0018
Feb 19 17:50:00 hfs-25 kernel: Process rmmod (pid: 1484, stackpage=c71ef000)
Feb 19 17:50:00 hfs-25 insmod: /lib/modules/2.4.0-0.99.11/kernel/drivers/net/pcn
et32.o: init_module: No such device
Feb 19 17:50:00 hfs-25 kernel: Stack: f7682a80 00000000 f8a88383 f8a8a340 f8a860
00 f8a84000 00000001 bfffed90
Feb 19 17:50:00 hfs-25 insmod: Hint: insmod errors can be caused by incorrect mo
dule parameters, including invalid IO or IRQ parameters
Feb 19 17:50:00 hfs-25 kernel:        c01176fe f8a86000 f8a84000 00000001 c0116c
73 f8a86000 00000001 c71ee000
Feb 19 17:50:00 hfs-25 insmod: /lib/modules/2.4.0-0.99.11/kernel/drivers/net/pcn
et32.o: insmod eth0 failed
Feb 19 17:50:00 hfs-25 kernel:        00000002 00000061 bfffed90 c0109007 000000
00 0805ef08 00000100 00000002
Feb 19 17:50:00 hfs-25 kernel: Call Trace: [e1000:__insmod_e1000_O/lib/modules/2
.4.0-0.99.11/kernel/drivers/n+-76925/96] [e1000:__insmod_e1000_O/lib/modules/2.4
.0-0.99.11/kernel/drivers/n+-68800/96] [e1000:__insmod_e1000_O/lib/modules/2.4.0
-0.99.11/kernel/drivers/n+-86016/96] [e1000:__insmod_e1000_O/lib/modules/2.4.0-0
.99.11/kernel/drivers/n+-94208/96] [free_module+30/176] [e1000:__insmod_e1000_O/
lib/modules/2.4.0-0.99.11/kernel/drivers/n+-86016/96] [e1000:__insmod_e1000_O/li
b/modules/2.4.0-0.99.11/kernel/drivers/n+-94208/96]
Feb 19 17:50:00 hfs-25 kernel: Call Trace: [<f8a88383>] [<f8a8a340>] [<f8a86000>
] [<f8a84000>] [<c01176fe>] [<f8a86000>] [<f8a84000>]
Feb 19 17:50:00 hfs-25 kernel:        [sys_delete_module+419/496] [e1000:__insmo
d_e1000_O/lib/modules/2.4.0-0.99.11/kernel/drivers/n+-86016/96] [system_call+51/
56]
Feb 19 17:50:00 hfs-25 kernel:        [<c0116c73>] [<f8a86000>] [<c0109007>]
Feb 19 17:50:00 hfs-25 kernel:
Feb 19 17:50:00 hfs-25 kernel: Code: 89 50 04 89 02 8b 1d 28 10 27 c0 81 fb 28 1
0 27 c0 74 23 89

---
BTW,ksymoops output is on the way...
Comment 2 Michael K. Johnson 2001-02-21 14:08:39 EST
Reported to Intel
Comment 3 Glen Foster 2001-02-21 15:36:43 EST
We (Red Hat) should really try to resolve this before next release.
Comment 4 Michael K. Johnson 2001-02-21 16:19:54 EST
Intel reports fixed in the driver version that we included in our
source base on 2/16, should be in our next beta kernel.
Comment 5 Bill Huang 2001-02-21 17:55:48 EST
That's great!Tell Keio people.
Comment 6 Bill Huang 2001-02-26 17:41:14 EST
I asked them to send us lspci output.Here is the report from Keio University.
I also asked them to confirm the bug with the lastest public beta Wolverine.

--
1. lspci failed with the error "Segmentation fault"
2. cat /proc/bus/pci/devices also failed with error "Segmentation fault"
3. cat /proc/pci output is attached

In RH7J + kernel 2.4.1, output of cat /proc/bus/pci/devices is also attached.


--- cat /proc/bus/pci/devices (Fisher) ---
0000    11660009        0       00000000        00000000        00000000
00000000        
00000000        00000000        00000000        00000000        00000000
00000000        
00000000        00000000        00000000        00000000        
0001    11660009        0       00000000        00000000        00000000
00000000        
00000000        00000000        00000000        00000000        00000000
00000000        
00000000        00000000        00000000        00000000        
0118    900500cf        1c      00002101        effff004        00000000
00000000        
00000000        00000000        00000000        00000100        00001000
00000000        
00000000        00000000        00000000        00020000        
0119    900500cf        1d      00002201        efffe004        00000000
00000000        
00000000        00000000        00000000        00000100        00001000
00000000        
00000000        00000000        00000000        00020000        
0128    101401bd        14      efffc008        00000000        00000000
00000000        
00000000        00000000        00000000        00002000        00000000
00000000        
00000000        00000000        00000000        00008000        
0130    1014002e        16      00002301        efe00000        00000000
00000000        
00000000        00000000        00000000        00000100        00100000
00000000        
00000000        00000000        00000000        00008000        
0138    90050010        18      00002401        efffb004        00000000
00000000        
00000000        00000000        00000000        00000100        00001000
00000000        
00000000        00000000        00000000        00020000        
0008    53338a22        0       feSegmentation fault
---------------------

--- cat /proc/bus/pci/devices (RH7J + kernel2.4.1) ---
0000    11660009        0       00000000        00000000        00000000
00000000        0000
0000    00000000        00000000        00000000        00000000
00000000        00000000   0
0000000 00000000        00000000
0001    11660009        0       00000000        00000000        00000000
00000000        0000
0000    00000000        00000000        00000000        00000000
00000000        00000000   0
0000000 00000000        00000000
0118    900500cf        1c      00002101        effff004        00000000
00000000        0000
0000    00000000        00000000        00000100        00001000
00000000        00000000   0
0000000 00000000        00020000
0119    900500cf        1d      00002201        efffe004        00000000
00000000        0000
0000    00000000        00000000        00000100        00001000
00000000        00000000   0
0000000 00000000        00020000
0128    101401bd        14      efffc008        00000000        00000000
00000000        0000
0000    00000000        00000000        00002000        00000000
00000000        00000000   0
0000000 00000000        00008000
0130    1014002e        16      00002301        efe00000        00000000
00000000        0000
0000    00000000        00000000        00000100        00100000
00000000        00000000   0
0000000 00000000        00008000
0138    90050010        18      00002401        efffb004        00000000
00000000        0000
0000    00000000        00000000        00000100        00001000
00000000        00000000   0
0000000 00000000        00020000
0008    53338a22        0       feb80000        f0000008        00000000
00000000        0000
0000    00000000        00000000        00080000        08000000
00000000        00000000   0
0000000 00000000        00010000
0010    10222000        1b      00002001        feb7fc00        00000000
00000000        0000
0000    00000000        00000000        00000020        00000020
00000000        00000000   0
0000000 00000000        00100000        pcnet32
0048    80861000        10      feb40000        00000000        00000000
00000000        0000
0000    00000000        00000000        00020000        00000000
00000000        00000000   0
0000000 00000000        00000000
0050    80861000        12      feb20000        00000000        00000000
00000000        0000
0000    00000000        00000000        00020000        00000000
00000000        00000000   0
0000000 00000000        00000000
0078    11660200        0       00000000        00000000        00000000
00000000        0000
0000    00000000        00000000        00000000        00000000
00000000        00000000   0
0000000 00000000        00000000
0079    11660211        0       00000000        00000000        00000000
00000000        0000
0841    00000000        00000000        00000000        00000000
00000000        00000000   0
0000010 00000000        00000000
007a    11660220        9       ff700000        00000000        00000000
00000000        0000
0000    00000000        00000000        00001000        00000000
00000000        00000000   0
0000000 00000000        00000000
------------------------


--- cat /proc/pci (Fisher) ----
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: ServerWorks CNB20LE (rev 5).
      Master Capable.  Latency=48.  
  Bus  0, device   0, function  1:
    Host bridge: ServerWorks CNB20LE (#2) (rev 5).
      Master Capable.  Latency=48.  
  Bus  1, device   3, function  0:
    SCSI storage controller: Adaptec 7899P (rev 1).
      IRQ 28.
      Master Capable.  Latency=48.  Min Gnt=40.Max Lat=25.
      I/O at 0x2100 [0x21ff].
      Non-prefetchable 64 bit memory at 0xeffff000 [0xefffffff].
  Bus  1, device   3, function  1:
    SCSI storage controller: Adaptec 7899P (#2) (rev 1).
      IRQ 29.
      Master Capable.  Latency=48.  Min Gnt=40.Max Lat=25.
      I/O at 0x2200 [0x22ff].
      Non-prefetchable 64 bit memory at 0xefffe000 [0xefffefff].
  Bus  1, device   5, function  0:
    RAID bus controller: PCI device 1014:01bd (IBM) (rev 0).
      IRQ 20.
      Master Capable.  Latency=48.  
      Prefetchable 32 bit memory at 0xefffc000 [0xefffdfff].
  Bus  1, device   6, function  0:
    RAID bus controller: IBM ServeRAID controller (rev 16).
      IRQ 22.
      Master Capable.  Latency=48.  Min Gnt=128.Max Lat=128.
      I/O at 0x2300 [0x23ff].
      Non-prefetchable 32 bit memory at 0xefe00000 [0xefefffff].
  Bus  1, device   7, function  0:
    SCSI storage controller: Adaptec AHA-2940U2/W (rev 0).
      IRQ 24.
      Master Capable.  Latency=48.  Min Gnt=39.Max Lat=25.
      I/O at 0x2400 [0x24ff].
      Non-prefetchable 64 bit memory at 0xefffb000 [0xefffbfff].
  Bus  0, device   1, function  0:
    VGA compatible controller: S3 Inc. Savage 4 (rev 4).
      Master Capable.  Latency=248.  Min Gnt=4.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfeb80000 [0xfebfffff].
      Prefetchable 32 bit memory at 0xf0000000 [0xf7ffffff].
  Bus  0, device   2, function  0:
    Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE] (rev
68).
      IRQ 27.
      Master Capable.  Latency=48.  Min Gnt=24.Max Lat=24.
      I/O at 0x2000 [0x201f].
      Non-prefetchable 32 bit memory at 0xfeb7fc00 [0xfeb7fc1f].
  Bus  0, device   9, function  0:
    Ethernet controller: Intel Corporation 82542 Gigabit Ethernet Adapter (rev
3).
      IRQ 16.
      Master Capable.  Latency=48.  Min Gnt=255.
      Non-prefetchable 32 bit memory at 0xfeb40000 [0xfeb5ffff].
  Bus  0, device  10, function  0:
    Ethernet controller: Intel Corporation 82542 Gigabit Ethernet Adapter (#2)
(rev
3).
      IRQ 18.
      Master Capable.  Latency=48.  Min Gnt=255.
      Non-prefetchable 32 bit memory at 0xfeb20000 [0xfeb3ffff].
  Bus  0, device  15, function  0:
    ISA bridge: ServerWorks OSB4 (rev 79).
  Bus  0, device  15, function  1:
    IDE interface: PCI device 1166:0211 (ServerWorks) (rev 0).
      Master Capable.  Latency=48.  
      I/O at 0x840 [0x84f].
  Bus  0, device  15, function  2:
    USB Controller: PCI device 1166:0220 (ServerWorks) (rev 4).
      IRQ 9.
      Master Capable.  Latency=48.  Max Lat=80.
      Non-prefetchable 32 bit memory at 0xff700000 [0xff700fff].

Comment 7 Michael K. Johnson 2001-02-27 19:44:12 EST
2.4.1-0.1.14 is in rawhide now if they would like to try it.
Comment 8 Bill Huang 2001-02-27 22:01:04 EST
I asked Keio people to verify and they told that the bug was fixed.Thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.